package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationimgtask.DesensitizationImgInfo;
import com.chenyang.nse.bussiness.entity.orm.table.core.desensitizationimgtask.DesensitizationImgtask;
import com.chenyang.nse.bussiness.entity.vo.dataproject.ImgTaskVO;
import java.util.List;

public interface DesensitizationImgtaskService {
   void saveDesensitizationImgtask(DesensitizationImgtask desensitizationImgtask);

   void saveDesensitizationImgInfo(DesensitizationImgInfo desensitizationImgInfo);

   List<DesensitizationImgtask> queryImgtask(String projectid, PageInfo pageInfo);

   List<DesensitizationImgInfo> queryImgInfo(String taskid);

   List<DesensitizationImgtask> queryImgtaskByid(String taskid);

   void removeTask(String taskid);

   void removeInfoByTaskid(String taskid);

   DesensitizationImgtask queryTaskByName(String taskname, String projectid);

   List<ImgTaskVO> queryImgByid(String id);
}
